Intermittent failure in test_places/unit/test_331487.js | 4 == 3, 1 == 3, etc.

RESOLVED FIXED

Status

()

defect
RESOLVED FIXED
9 years ago
7 years ago

People

(Reporter: philor, Unassigned)

Tracking

({intermittent-failure})

Trunk
x86
Windows Server 2003
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [workarounded by bug521225 on trunk])

(Reporter)

Description

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269948710.1269951694.25099.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/03/30 04:31:50
s: win32-slave29

TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-debug-unittest-xpcshell\build\xpcshell\tests\test_places\unit\test_331487.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-debug-unittest-xpcshell/build/xpcshell/tests/test_places/unit/test_331487.js | 4 == 3 - See following stack:
(Reporter)

Comment 1

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270003754.1270006634.28686.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/03/30 19:49:14
s: win32-slave12

Comment 2

9 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270070750.1270073566.7441.gz
WINNT 5.2 mozilla-central debug test xpcshell on 2010/03/31 14:25:50
This orange also appears to happen on linux on 1.9.2, at least assuming "1 == 3" is the same problem as "4 == 3":

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1270496094.1270496377.12846.gz
Linux mozilla-1.9.2 opt test xpcshell on 2010/04/05 12:34:54

s: mv-moz2-linux-ix-slave06TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-linux-opt-unittest-xpcshell/build/xpcshell/tests/test_places/unit/test_331487.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /builds/slave/mozilla-1.9.2-linux-opt-unittest-xpcshell/build/xpcshell/tests/test_places/unit/test_331487.js | 1 == 3 - See following stack:
Comment hidden (Legacy TBPL/Treeherder Robot)
(Reporter)

Updated

9 years ago
Summary: Intermittent failure in test_places/unit/test_331487.js → Intermittent failure in test_places/unit/test_331487.js | 4 == 3, 1 == 3, etc.
Comment hidden (Legacy TBPL/Treeherder Robot)
could someone add this test to the randomFailingSyncTests array at the end of toolkit/components/places/tests/head_common.js please? rs=me

so we can check if it's just a sync issue. the above file exists only on m-c right now, i plan to sync tests on 3.6 in future.
Comment hidden (Legacy TBPL/Treeherder Robot)
Depends on: 507790
Whiteboard: [orange] → [orange][workarounded by bug521225 on trunk]
Resolving Places oranges that don't appear on central from at least 6 months.
Check dependencies for bugs that could have fixed the issue.
Please reopen if they re-appear in central.
Status: NEW → RESOLVED
Last Resolved: 9 years ago
Depends on: 521225
Resolution: --- → FIXED
Whiteboard: [orange][workarounded by bug521225 on trunk] → [workarounded by bug521225 on trunk]
You need to log in before you can comment on or make changes to this bug.